Bug 148875 - fencing is broke using shortnames and gulm
fencing is broke using shortnames and gulm
Status: CLOSED NOTABUG
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gulm (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: michael conrad tadpol tilstra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-16 10:30 EST by Corey Marthaler
Modified: 2009-04-16 16:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-16 10:54:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-02-16 10:30:28 EST
Description of problem:
Here's the obvious bug we all new was coming.

This is the gulm section of my config, all node definations use short
names as well.

<gulm>
        <lockserver name="tank-01"/>
        <lockserver name="tank-03"/>
        <lockserver name="tank-05"/>
</gulm>


Everything is fine until it's time to fence someone.
.
.
.
Feb 16 09:24:42 tank-03 lock_gulmd_core[5016]: Forked [15061]
fence_node tank-01.lab.msp.redhat.com with a 5
Feb 16 09:24:45 tank-03 lock_gulmd_core[5016]: 
(tank-01.lab.msp.redhat.com ::ffff:192.168.44.91) Cannot login
Feb 16 09:24:47 tank-03 lock_gulmd_core[15061]: Gonna exec fence_node
tank-01.lab.msp.redhat.com
Feb 16 09:24:47 tank-03 fence_node[15061]: Fence of
"tank-01.lab.msp.redhat.com" was unsuccessful
Feb 16 09:24:47 tank-03 lock_gulmd_core[5016]: Fence failed. [15061]
Exit code:1 Running it again.
.
.
.


Current master:
[root@tank-03 ~]# gulm_tool getstats tank-03
I_am = Master
quorum_has = 2
quorum_needs = 2
rank = 1
quorate = true
GenerationID = 1108505824405926
run time = 57920
pid = 5016
verbosity = Default
failover = enabled

Previous master who was shot:
[root@tank-03 ~]# gulm_tool getstats tank-01
I_am = Pending
quorum_has = 1
quorum_needs = 2
rank = 0
quorate = false
GenerationID = 0
run time = 57425
pid = 3506
verbosity = Default
failover = enabled


[root@tank-03 ~]# gulm_tool nodelist tank-02
 Name: tank-04.lab.msp.redhat.com
  ip    = ::ffff:192.168.44.94
  state = Logged in
  last state = Logged out
  mode = Client
  missed beats = 0
  last beat = 1108506215802233
  delay avg = 6037699
  max delay = 10001255

 Name: tank-02.lab.msp.redhat.com
  ip    = ::ffff:192.168.44.92
  state = Logged in
  last state = Logged out
  mode = Client
  missed beats = 0
  last beat = 1108506216475152
  delay avg = 55561954
  max delay = 369533056

 Name: tank-05.lab.msp.redhat.com
  ip    = ::ffff:192.168.44.95
  state = Logged in
  last state = Was Logged in
  mode = Slave
  missed beats = 0
  last beat = 1108506211020650
  delay avg = 5878532
  max delay = 9998490

 Name: tank-01.lab.msp.redhat.com
  ip    = ::ffff:192.168.44.91
  state = Expired
  last state = Logged in
  mode = Master
  missed beats = 0
  last beat = 1108505824406063
  delay avg = 0
  max delay = 0

 Name: tank-03.lab.msp.redhat.com
  ip    = ::ffff:192.168.44.93
  state = Logged in
  last state = Was Logged in
  mode = Master
  missed beats = 0
  last beat = 1108506207490159
  delay avg = 189743365
  max delay = 369501582


Version-Release number of selected component (if applicable):
Gulm 2.6.9-22.1 (built Feb 14 2005 10:57:20) installed

How reproducible:
Always
Comment 1 Corey Marthaler 2005-02-16 10:33:08 EST
[root@tank-01 ~]# uname -n
tank-01.lab.msp.redhat.com
Comment 2 michael conrad tadpol tilstra 2005-02-16 10:54:01 EST
gulm has NEVER supported this.  As documented, gulm defines nodes as
`uname -n`.  If you really want to use something other than `uname
-n`, you need to run lock_gulmd with the --name option.

Note You need to log in before you can comment on or make changes to this bug.